- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannBndryCntrlDiri3D_27 Class Reference

Class implementating case with convex quadratic penalty function. More...

`#include <MittelmannBndryCntrlDiri3D_27.hpp>`

Inheritance diagram for MittelmannBndryCntrlDiri3D_27:

[legend]
Collaboration diagram for MittelmannBndryCntrlDiri3D_27:

[legend]
List of all members.

## Public Member Functions
| MittelmannBndryCntrlDiri3D_27 ()
virtual | ~MittelmannBndryCntrlDiri3D_27 ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2, Number x3) const
| Target profile function for y.
## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannBndryCntrlDiri3D_27 (const MittelmannBndryCntrlDiri3D_27 &)
MittelmannBndryCntrlDiri3D_27 & | operator= (const MittelmannBndryCntrlDiri3D_27 &)

## Detailed Description

Class implementating case with convex quadratic penalty function.

Definition at line 264 of file MittelmannBndryCntrlDiri3D_27.hpp.

## Constructor & Destructor Documentation

MittelmannBndryCntrlDiri3D_27::MittelmannBndryCntrlDiri3D_27 | ( |  | ) | `[inline]`

Definition at line 267 of file MittelmannBndryCntrlDiri3D_27.hpp.

virtual MittelmannBndryCntrlDiri3D_27::~MittelmannBndryCntrlDiri3D_27 | ( |  | ) | `[inline, virtual]`

Definition at line 270 of file MittelmannBndryCntrlDiri3D_27.hpp.

MittelmannBndryCntrlDiri3D_27::MittelmannBndryCntrlDiri3D_27 | ( | const MittelmannBndryCntrlDiri3D_27 & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannBndryCntrlDiri3D_27::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 273 of file MittelmannBndryCntrlDiri3D_27.hpp.

References MittelmannBndryCntrlDiriBase3D_27::SetBaseParameters().

virtual Number MittelmannBndryCntrlDiri3D_27::y_d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | x3 |
| ) |  |  | const`[inline, protected, virtual]`

Target profile function for y.

Implements MittelmannBndryCntrlDiriBase3D_27.

Definition at line 292 of file MittelmannBndryCntrlDiri3D_27.hpp.

MittelmannBndryCntrlDiri3D_27& MittelmannBndryCntrlDiri3D_27::operator= | ( | const MittelmannBndryCntrlDiri3D_27 & |  | ) | `[private]`

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/examples/ScalableProblems/MittelmannBndryCntrlDiri3D_27.hpp